# VCardEntry class abstract

VCard Entry

Inheritance
  - Object
  - GenericDocumentWrapper
  - VCardEntry
Implementers
  - VCardAnniversary
  - VCardBirthday
  - VCardBusyTimeURL
  - VCardCalendarURI
  - VCardCalendarURIForRequests
  - VCardCategories
  - VCardClientPIDMap
  - VCardCustom
  - VCardDeliveryAddress
  - VCardEmail
  - VCardFirstName
  - VCardGender
  - VCardGeoLocation
  - VCardIMPP
  - VCardKind
  - VCardLanguages
  - VCardLogo
  - VCardMember
  - VCardName
  - VCardNickname
  - VCardNote
  - VCardOrganisation
  - VCardPhoto
  - VCardProductId
  - VCardPublicKey
  - VCardRelated
  - VCardRevision
  - VCardRole
  - VCardSound
  - VCardSource
  - VCardTelephoneNumber
  - VCardTimeZone
  - VCardTitle
  - VCardUID
  - VCardURL
  - VCardVersion
  - VCardXML

## Constructors

VCardEntry.new(GenericDocument document)

## Properties

document → GenericDocument
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
rawValue → TextFieldWrapper
  Raw Value
  no setter
requiredDocumentType → String
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
typeModifiers → List<TextFieldWrapper>
  Type Modifier
  no setter
values → List<TextFieldWrapper>
  Value
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited